apollonian(6)

NAME
apollonian - Descartes Circle Theorem.

SYNOPSIS
apollonian [-display host:display.screen] [-visual visual] [-window] [-root] [-no-label] [-no-altgeom] [-cycles number] [-ncolors number] [-delay number]

DESCRIPTION
Packs a large circle with smaller circles, demonstrating the Descartes Circle Theorem.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-label | -no-label
    Draw Labels. Boolean.

-altgeom | -no-altgeom
    Include Alternate Geometries. Boolean.

-cycles number
    Depth.    1 - 20.  Default: 20.

-ncolors number
    Number of Colors. Default: 64.

-delay number
    Per-frame delay, in microseconds. Default: 1000000 (1.00 seconds.).

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2002 by Allan R. Wilks and David Bagley. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Allan R. Wilks and David Bagley.